/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.system.mapper;

import com.zayac.admin.system.model.entity.DeptDO;
import com.zayac.admin.system.model.resp.DeptUsersResp;
import org.apache.ibatis.annotations.Param;
import top.continew.starter.data.mybatis.plus.base.BaseMapper;

import java.util.List;

/**
 * 部门 Mapper
 *
 * @author Charles7c
 * @since 2023/1/22 17:56
 */
public interface DeptMapper extends BaseMapper<DeptDO> {
    /**
     * 查询指定指定角色下的所有所属部门用户
     *
     * @param roleCode 角色列表
     * @return 部门用户列表
     */
    List<DeptUsersResp> selectDeptUsersByRoleCode(@Param("roleCode") String roleCode);
}
