/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.system.model.entity;

import java.io.Serial;

import com.zayac.admin.common.enums.DisEnableStatusEnum;
import lombok.Data;

import com.baomidou.mybatisplus.annotation.TableName;

import top.continew.starter.extension.crud.model.entity.BaseDO;

/**
 * 账号实体
 *
 * @author zayac
 * @since 2024/05/10 20:44
 */
@Data
@TableName("sys_account")
public class AccountDO extends BaseDO {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 账号昵称
     */
    private String nickname;

    /**
     * 账号
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * headers
     */
    private String headers;

    /**
     * 状态（1：启用；2：禁用)
     */
    private DisEnableStatusEnum status;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 平台ID
     */

    private Long platformId;

    /**
     * 是否为团队账号
     */
    private Boolean isTeam;
}